New bugfix release 17.2.4

Bug #1727390 reported by Timo Aaltonen on 2017-10-25
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
mesa (Ubuntu)
Undecided
Timo Aaltonen
Xenial
Undecided
Unassigned
Artful
Undecided
Unassigned

Bug Description

[Impact]

A new upstream bugfix release is available. Release note diff compared to 17.2.2:

"Mesa 17.2.3 is now available.

In this release we have:

The Vulkan drivers ANV and RADV have multiple small fixes.

The EGL code has improved handling of the new wl_dmabuf codepath.

SWR no longer crashes when checking environment variables.

Other gallium drivers have also seen updates - freedreno, nouveau and
radeonsi. The gallivm module, used by llvmpipe et al. has gained little
endian PPC64 fixes.

The VA and VDPAU state-trackers have seems improvements handling
interlaced videos.

We're using python3 compatible constructs which gives us SCons 3.0
support."

"Mesa 17.2.4 is now available.

In this release we have:

In Mesa Core we have included a change to prevent KOTOR from breaking
when in combination with the ATI fragment shader extension.
Additionally, NIR has also received a correction.

Mesa's state tracker has gotten a patch to avoid leaks in certain
situations like when resizing a window.

Intel drivers have received several fixes. The compiler has gotten a
couple, while anv also received one. i965 got a patch to avoid VA-
API, Beignet and other contexts in the system to break when in
combination with previous versions of Mesa 17.2.x.

AMD's compiler has received a couple of fixes while radv has also
received another couple, including one to avoid a hang due to an
overflow on huge textures.

Broadcom's vc4 has corrected a problem when compiling with Android's
clang.

clover has also seen fixed a problem compiling after a specific clang
revision.

Vulkan's WSI has gotten plugged a memory leak for X11."

[Test case]

Test typical use cases on the most common hw/driver combinations:
intel/i965
nvidia/nouveau
radeon/radeonsi

[Regression potential]

These releases are tested against compliance, bugfix releases in particular have minimal risk of regressing anything major at least.

Timo Aaltonen (tjaalton) on 2017-10-25
summary: - New bugfix release
+ New bugfix release 17.2.3
Timo Aaltonen (tjaalton) on 2017-11-07
summary: - New bugfix release 17.2.3
+ New bugfix release 17.2.4
Timo Aaltonen (tjaalton) on 2017-11-07
description: updated
Timo Aaltonen (tjaalton) on 2017-11-08
Changed in mesa (Ubuntu):
assignee: nobody → Timo Aaltonen (tjaalton)
Luca Tansini (tansini13) on 2017-11-13
Changed in mesa (Ubuntu):
status: New → Fix Released
Boaz Dodin (bdcomp) wrote :

Mesa 17.2.5 released with some additional fixes:
https://www.mesa3d.org/relnotes/17.2.5.html

summary: - New bugfix release 17.2.4
+ New bugfix release 17.2.5
Timo Aaltonen (tjaalton) wrote :

but it's 17.2.4 that was uploaded and what this bug is about

summary: - New bugfix release 17.2.5
+ New bugfix release 17.2.4
Changed in mesa (Ubuntu):
status: Fix Released → In Progress

Hello Timo, or anyone else affected,

Accepted mesa into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mesa/17.2.4-0ubuntu1~17.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in mesa (Ubuntu Artful):
status: New → Fix Committed
tags: added: verification-needed verification-needed-artful
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 17.2.4-0ubuntu2

---------------
mesa (17.2.4-0ubuntu2) bionic; urgency=medium

  * Import changes from 17.2.2-0ubuntu2
  * Make mesa-va-drivers enhance libva2 rather than libva1.
  * vulkan-mir.patch: Dropped, breaks radeon vulkan driver. (LP: #1720890)

 -- Timo Aaltonen <email address hidden> Wed, 08 Nov 2017 16:29:58 +0200

Changed in mesa (Ubuntu):
status: In Progress → Fix Released
Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted mesa into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mesa/17.2.4-0ubuntu1~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in mesa (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed-xenial
ethan.hsieh (ethan.hsieh) wrote :

mesa 17.2.4 works well on my two devices. Here is the test result:

1) AMD [1002:9874] (rev e2)
glxgear -info: Pass
Unigine_Heaven-4.0 (5mins): Pass

2) Intel [8086:5917] (rev 07) + AMD [1002:6900] (rev ff)
glxgear -info: Pass
DRI_PRIME=1 glxgear -info: Pass
Unigine_Heaven-4.0 (5mins): Pass
DRI_PRIME=1 Unigine_Heaven-4.0.run (5mins): Pass

---
Installed package: (Online Update: xenial-proposed: mesa)
libdrm-common all 2.4.83-1~16.04.1
libdrm2 amd64 2.4.83-1~16.04.1
libcapnp-0.5.3 amd64 0.5.3-2ubuntu1
libdrm-amdgpu1 amd64 2.4.83-1~16.04.1
libwayland-egl1-mesa amd64 17.2.4-0ubuntu1~16.04.2
libwayland-client0 amd64 1.12.0-1~ubuntu16.04.2
libwayland-server0 amd64 1.12.0-1~ubuntu16.04.2
libegl1-mesa amd64 17.2.4-0ubuntu1~16.04.2
libgbm1 amd64 17.2.4-0ubuntu1~16.04.2
libmircore1 amd64 0.26.3+16.04.20170605-0ubuntu1.1
libmircommon7 amd64 0.26.3+16.04.20170605-0ubuntu1.1
libmirprotobuf3 amd64 0.26.3+16.04.20170605-0ubuntu1.1
libmirclient9 amd64 0.26.3+16.04.20170605-0ubuntu1.1
libllvm5.0 amd64 1:5.0-3~16.04.1
libgl1-mesa-dri amd64 17.2.4-0ubuntu1~16.04.2

Boaz Dodin (bdcomp) on 2017-12-20
tags: added: verification-done-xenial
removed: verification-needed-xenial
Timo Aaltonen (tjaalton) wrote :

I've tested the update on 17.10 with Radeon R7 260x and Intel Coffee Lake, no issues running the desktop or Unigine Heaven or Xonotic.

tags: added: verification-done-artful
removed: verification-needed-artful
Boaz Dodin (bdcomp) on 2017-12-21
tags: removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 17.2.4-0ubuntu1~16.04.2

---------------
mesa (17.2.4-0ubuntu1~16.04.2) xenial; urgency=medium

  * control: Relax build-dep on libclc-dev

 -- Timo Aaltonen <email address hidden> Wed, 22 Nov 2017 16:25:17 +0200

Changed in mesa (Ubuntu Xenial):
status: Fix Committed → Fix Released
Khurshid Alam (khurshid-alam) wrote :

mesa 17.2.4-0ubuntu1~16.04.1 in xenial lots of issues with unity and compiz. See this bugs:

https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1741447
https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/1735594

Łukasz Zemczak (sil2100) wrote :

Hello Timo, or anyone else affected,

Accepted mesa into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mesa/17.2.4-0ubuntu1~17.10.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed verification-needed-artful
removed: verification-done-artful
Timo Aaltonen (tjaalton) wrote :

artful works fine still

tags: added: verification-done verification-done-artful
removed: verification-needed verification-needed-artful
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 17.2.4-0ubuntu1~17.10.2

---------------
mesa (17.2.4-0ubuntu1~17.10.2) artful; urgency=medium

  * i965-disable-l3-cache-alloc-for-ext-buffers.diff:
    - Replaced with five backported commits from upstream
      (LP: #1727401, #1735594)

mesa (17.2.4-0ubuntu1~17.10.1) artful; urgency=medium

  * Backport to artful.
  * vulkan-mir.patch: Dropped, breaks radeon vulkan driver. (LP:
    #1720890)

mesa (17.2.4-0ubuntu1) bionic; urgency=medium

  * New upstream bugfix release. (LP: #1727390)
  * i965-disable-l3-cache-alloc-for-ext-buffers.diff: Fix corruption
    running windowed 3D apps on dGPU. (LP: #1727401)

 -- Timo Aaltonen <email address hidden> Tue, 09 Jan 2018 15:28:48 +0200

Changed in mesa (Ubuntu Artful):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for mesa has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers